<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="37" short-name="increasing-subsequence" url="https://polygon.codeforces.com/p6xYP7a/tourist/increasing-subsequence">
    <names>
        <name language="english" value="Infection Investigation"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>3000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>80</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen-1 10 20 1" method="generated"/>
                <test cmd="gen-1 20 10 1" method="generated"/>
                <test cmd="gen-1 1 40 1" method="generated"/>
                <test cmd="gen-1 10 20 2" method="generated"/>
                <test cmd="gen-1 20 10 2" method="generated"/>
                <test cmd="gen-1 1 40 2" method="generated"/>
                <test cmd="gen-1 10 20 3" method="generated"/>
                <test cmd="gen-1 20 10 3" method="generated"/>
                <test cmd="gen-1 1 40 3" method="generated"/>
                <test cmd="gen-1 10 20 4" method="generated"/>
                <test cmd="gen-1 20 10 4" method="generated"/>
                <test cmd="gen-1 1 40 4" method="generated"/>
                <test cmd="gen-1 10 20000 5" method="generated"/>
                <test cmd="gen-1 150 1300 5" method="generated"/>
                <test cmd="gen-1 1300 150 5" method="generated"/>
                <test cmd="gen-1 500 400 5" method="generated"/>
                <test cmd="gen-1 20000 10 5" method="generated"/>
                <test cmd="gen-1 100000 2 5" method="generated"/>
                <test cmd="gen-1 10 20000 6" method="generated"/>
                <test cmd="gen-1 150 1300 6" method="generated"/>
                <test cmd="gen-1 1300 150 6" method="generated"/>
                <test cmd="gen-1 500 400 6" method="generated"/>
                <test cmd="gen-1 20000 10 6" method="generated"/>
                <test cmd="gen-1 100000 2 6" method="generated"/>
                <test cmd="gen-1 10 20000 7" method="generated"/>
                <test cmd="gen-1 150 1300 7" method="generated"/>
                <test cmd="gen-1 1300 150 7" method="generated"/>
                <test cmd="gen-1 500 400 7" method="generated"/>
                <test cmd="gen-1 20000 10 7" method="generated"/>
                <test cmd="gen-1 100000 2 7" method="generated"/>
                <test cmd="gen-1 10 20000 8" method="generated"/>
                <test cmd="gen-1 150 1300 8" method="generated"/>
                <test cmd="gen-1 1300 150 8" method="generated"/>
                <test cmd="gen-1 500 400 8" method="generated"/>
                <test cmd="gen-1 20000 10 8" method="generated"/>
                <test cmd="gen-1 100000 2 8" method="generated"/>
                <test cmd="gen-2 50 2000 9" method="generated"/>
                <test cmd="gen-2 150 200 9" method="generated"/>
                <test cmd="gen-2 500 400 9" method="generated"/>
                <test cmd="gen-2 20000 5 9" method="generated"/>
                <test cmd="gen-2 50 2000 10" method="generated"/>
                <test cmd="gen-2 150 200 10" method="generated"/>
                <test cmd="gen-2 500 400 10" method="generated"/>
                <test cmd="gen-2 20000 5 10" method="generated"/>
                <test cmd="gen-2 50 2000 11" method="generated"/>
                <test cmd="gen-2 150 200 11" method="generated"/>
                <test cmd="gen-2 500 400 11" method="generated"/>
                <test cmd="gen-2 20000 5 11" method="generated"/>
                <test cmd="gen-2 50 2000 12" method="generated"/>
                <test cmd="gen-2 150 200 12" method="generated"/>
                <test cmd="gen-2 500 400 12" method="generated"/>
                <test cmd="gen-2 20000 5 12" method="generated"/>
                <test cmd="gen-2 200000 1 6" method="generated"/>
                <test cmd="gen-2 200000 1 9" method="generated"/>
                <test cmd="gen-2 100000 2 6" method="generated"/>
                <test cmd="gen-2 100000 2 9" method="generated"/>
                <test cmd="gen-min" method="generated"/>
                <test description="File &quot;judge yosupo 2.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 3.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 4.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 5.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 6.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 7.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 8.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 9.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 10.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 11.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 12.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 13.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 14.txt&quot;" method="manual"/>
                <test description="File &quot;judge yosupo 15.txt&quot;" method="manual"/>
                <test cmd="gen-3 2000 10" method="generated"/>
                <test cmd="gen-3 2000 200" method="generated"/>
                <test cmd="gen-3 2000 2000" method="generated"/>
                <test cmd="gen-3 200000 3" method="generated"/>
                <test cmd="gen-3 200000 20" method="generated"/>
                <test cmd="gen-3 200000 200" method="generated"/>
                <test cmd="gen-3 200000 20000" method="generated"/>
                <test cmd="gen-1-swap" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/checker.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-1-swap.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-1-swap.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-1.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-1.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-2.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-3.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-min.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-min.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <testset>
                <test-count>3</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                </tests>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>5</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/250-approximating-arithmetic-another.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/250-approximating-arithmetic-another.exe" type="exe.win32"/>
            </solution>
            <solution note="tried to approx a*(r-l)^b, but it is really bad" tag="rejected">
                <source path="solutions/250-approximating-logarithmic-another.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/250-approximating-logarithmic-another.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/300-approximating-arithmetic.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/300-approximating-arithmetic.exe" type="exe.win32"/>
            </solution>
            <solution note="tried to approx a*(r-l)^b, but it is really bad" tag="rejected">
                <source path="solutions/300-approximating-logarithmic.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/300-approximating-logarithmic.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347937476_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347937476_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/347961304_ksun48_wa14.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347961304_ksun48_wa14.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347962128_ksun48_wa14.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347962128_ksun48_wa14.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347963220_ksun48_wa16.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347963220_ksun48_wa16.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347963297_ksun48_wa18.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347963297_ksun48_wa18.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348064361_shade34_SomethingNew_goncharovmike_wa2.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348064361_shade34_SomethingNew_goncharovmike_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348064776_shade34_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348064776_shade34_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348130026_Karuk_BLOBVISGOD_jeroenodb_wa2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348130026_Karuk_BLOBVISGOD_jeroenodb_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348131769_Karuk_BLOBVISGOD_jeroenodb_wa8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348131769_Karuk_BLOBVISGOD_jeroenodb_wa8.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348132664_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348132664_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/divide-and-conquer-off-by-one-1.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/divide-and-conquer-off-by-one-1.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/divide-and-conquer-off-by-one-2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/divide-and-conquer-off-by-one-2.exe" type="exe.win32"/>
            </solution>
            <solution note="LeoPro" tag="accepted">
                <source path="solutions/divide-and-conquer.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/divide-and-conquer.exe" type="exe.win32"/>
            </solution>
            <solution note="translated, binary search instead of segtree" tag="accepted">
                <source path="solutions/divide_and_conquer.kt" type="kotlin17"/>
                <binary path="solutions/divide_and_conquer.jarkt17"/>
            </solution>
            <solution note="dengyaotriangle from judge.yosupo" tag="main">
                <source path="solutions/monge-multiplication.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/monge-multiplication.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/n2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/n2.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="lis"/>
    </tags>
</problem>
